KDE 4.9 PyKDE API Reference

- KDE's Python API

# NETStrut Class Reference

`from PyKDE4.kdeui import *`

## Detailed Description

Deprecated:
  use NETExtendedStrut

Simple strut class for NET classes.

This class is a convenience class defining a strut with left, right, top and bottom border values. The existence of this class is to keep the implementation from being dependent on a separate framework/library. See the _NET_WM_STRUT property in the NETWM spec.

## Attributes

int | bottom
int | left
int | right
int | top

## Methods

| __init__ (self)

## Method Documentation

__init__ | ( |  | self ) |

Constructor to initialize this struct to 0,0,0,0

## Attribute Documentation

int bottom

int left

int right

int top